Subject: bug#30699: 26.0.91; buffer contents flicker on macOS frames when frames are resized

From: Aaron Jensen <[email-masked]>
Date: Sun, 4 Mar 2018 23:55:50 -0800

On Sun, Mar 4, 2018 at 1:34 PM, Alan Third <[email-masked]> wrote:
> The root problem is actually that we’re unable to execute redisplay
> while the frame is being resized by a mouse. The NS event loop goes
> into some ‘modal’ state which we can’t break out of, thus preventing
> us from doing anything until it’s done. If that didn’t happen we
> wouldn’t need to blank the screen at all.

Is this true on a mac as well? How are other apps like iTerm2 able to
redraw during a resize?

It's a naive question, but is it at all possible to redraw a garbaged
frame w/o a flicker? I know nothing about the drawing code, so I
apologize for the question if it's dumb.

Thanks,

Aaron